' Create a shortcut on the desktop for the CDX-D8 configuration applet.
'
' Copyright (C) 2001-2004, LR Sound, Inc.  All rights reserved.
'
' CDX-D8 is a trademark of LR Sound, Inc.

On Error Resume Next

Dim WSHShell
Dim DesktopPath
Dim ProductName
Dim CurrentVersion
Dim MyShortcut

Set WSHShell = WScript.CreateObject("WScript.Shell")

DesktopPath = WSHShell.SpecialFolders("Desktop")

ProductName = WSHShell.RegRead("HKLM\Software\Microsoft\Windows\CurrentVersion\ProductName")
If ProductName = "" Then
ProductName = WSHShell.RegRead("HKLM\Software\Microsoft\Windows NT\CurrentVersion\ProductName")
CurrentVersion = WSHShell.RegRead("HKLM\Software\Microsoft\Windows NT\CurrentVersion\CurrentVersion")
End If

If InStr(ProductName, "Windows 95") Or InStr(ProductName, "Windows 98") or InStr(ProductName, "Windows ME") Then
Set MyShortcut = WSHShell.CreateShortcut(DesktopPath & "\Configure CDX-D8.lnk")
MyShortcut.TargetPath = WSHShell.ExpandEnvironmentStrings("%windir%\rundll32.exe")
MyShortcut.IconLocation = WSHShell.ExpandEnvironmentStrings("%windir%\system\shell32.dll, 21")
MyShortcut.Description = "Launch CDX-D8 configuration applet"
MyShortcut.Arguments = " cdxd8,Configure"
MyShortcut.WorkingDirectory = WSHShell.ExpandEnvironmentStrings("%windir%")
MyShortcut.WindowStyle = 4
MyShortcut.Save
ElseIf InStr(CurrentVersion, "4.0") Or InStr(ProductName, "Windows 2000") Or InStr(ProductName, "Windows XP") Then
Set MyShortcut = WSHShell.CreateShortcut(DesktopPath & "\Configure CDX-D8.lnk")
MyShortcut.TargetPath = WSHShell.ExpandEnvironmentStrings("%windir%\system32\rundll32.exe")
MyShortcut.IconLocation = WSHShell.ExpandEnvironmentStrings("%windir%\system32\shell32.dll, 21")
MyShortcut.Description = "Launch CDX-D8 configuration applet"
MyShortcut.Arguments = " cdxd8,Configure"
MyShortcut.WorkingDirectory = WSHShell.ExpandEnvironmentStrings("%windir%")
MyShortcut.WindowStyle = 4
MyShortcut.Save
Else
WScript.Echo "Cannot determine which Windows OS is in use on this computer.  Unable to create desktop shortcut."
End If
